[Stable Update] 2020-10-19 - Kernels, Nvidia 455, Browsers,

A new update broke Steam and league of legends for me. To fix make sure you install newest Nvidia driver(455xx).

Also I’m currently on 5.4 kernel and still get notification that new one is available, even though “Only notify LTS kernels” is checked.

Lastly, I wish I could get any notification that new Nvidia driver is ready to download. Feature to auto-update LTS kernel and Nvidia driver would be neat too.

VMware and Steam broke with the kernel update, but the fixes were somewhat simple; all I needed to do was install patches for the VMware host modules and also install the new NVIDIA 455 drivers. Scaling issues from the NVIDIA driver install were easily fixed by forcing font DPI to 96 and rebooting.

There was a package conflict with nvidia. Resolved after updating mirrors and updating.
sudo pacman-mirrors --fasttrack && sudo pacman -Syyu

Thanks to @OrichuaTheFurry for the fix with Steam. It wouldn’t launch on the latest NVIDIA 450 driver, but replacing with the NVIDIA 455 driver did the trick for me.

2 Likes

Would be sweet to have Vivaldi included in the official repositories, and not having to add a repo or build from AUR, please!! :upside_down_face:

Thank you and have a wonderful day! :smile:

4 Likes

@schinfo can you have a look at nvidia 450 please? Seems like another oversight, the lib32 and opencl isn’t on par with the current driver version apparently Manjaro - Branch Compare
Everything is at 450.80.02 but lib32-nvidia-450xx-utils and opencl-nvidia-450xx are at 450.66 probably causing the issues with Steam not launching and other games not starting either.

2 Likes

The update went fine apart from the fact, the graphics driver could not be updated.

Pleasiiiie!!! :pleading_face:

I adore Vivaldi Browser :hugs:!

6 Likes

Updated my
LXQT on kernel 5.4
XFCE on kernel 5.4
All good :+1:

Thanks!

Make sure you have nvidia driver installed. I had the same SteamUpdateUI: An X Error occurred error message until I replaced nvidia 450 with 455 on one of the computers I manage.

Also, nvidia does not currently support kernel 5.9, and isn’t expected to for at least a month. It may work for some things, but other functionality is broken. Suggest you use kernel 5.8 in the meantime.

After Update Steam doesn´t start.
I tried it in bash:

“$ steam
Running Steam on manjarolinux 20.1.2 64-bit
STEAM_RUNTIME is enabled automatically
Pins up-to-date!
Steam client’s requirements are satisfied”

2 Likes
2 Likes

Same here :frowning:

1 Like

Trying to update my manjaro-keyring along with installing/updating some other packages but there seems to be a PGP key issue which isn’t allowing the updates to go through.

Packages (1) manjaro-keyring-20200929-1
Total Installed Size: 0.16 MiB
Net Upgrade Size: 0.00 MiB
:: Proceed with installation? [Y/n] Y
(1/1) checking keys in keyring
downloading required keys…
:: Import PGP key CAA6A59611C7F07E, “Philip Müller philm@manjaro.org”? [Y/n] Y
error: key “CAA6A59611C7F07E” could not be looked up remotely
error: required key missing from keyring
error: failed to commit transaction (unexpected error)
Errors occurred, no packages were upgraded.

Once it gave me this error it moved on trying to install the packages:

(13/13) checking keys in keyring [###########################################################] 100%
downloading required keys…
:: Import PGP key CAA6A59611C7F07E, “Philip Mueller philm@manjaro.org”? [Y/n] Y
error: key “CAA6A59611C7F07E” could not be looked up remotely
:: Import PGP key 9C08A255442FAFF0, “Jonathon Fernyhough jonathon@manjaro.org”? [Y/n] Y
error: key “9C08A255442FAFF0” could not be looked up remotely
:: Import PGP key 428F7ECC7117F726, “Helmut Stult helmut@manjaro.org”? [Y/n] Y
error: key “428F7ECC7117F726” could not be looked up remotely
error: required key missing from keyring
error: failed to commit transaction (unexpected error)
Errors occurred, no packages were upgraded.

Yes.
As @Fabby said, remove the 5.7 kernel, because it is EOL now (EOL= End of Life), you don’t need it anymore, and if you want, install the 5.4 kernel (that LTS kernel=Long Time Suport).
Btw, it is advisable to have two kernels installed.

2 Likes

Replacing the 450 Nvidia drivers to the latest 455 drivers solved my problem.

1 Like

@itsKia2: Try this

  1. Remove old (and possibly broken) keys by entering this command:

    sudo rm -r /etc/pacman.d/gnupg 
    
  2. Reinstall keyrings including the latest keys:

    sudo pacman -Sy gnupg archlinux-keyring manjaro-keyring
    
  3. Initialize the pacman keyring:

    sudo pacman-key --init 
    
  4. Load the signature keys:

    sudo pacman-key --populate archlinux manjaro 
    
  5. Refresh and update the signature keys:

    sudo pacman-key --refresh-keys 
    
  6. Clear out the software packages downloaded during the aborted installation (optional):

    sudo pacman -Sc
5 Likes
2 Likes

Manjaro Gnome, kernel 5.9.1, till now no issues found after the update.

1 Like

My xhci_pci warning appears to have gone in this update, so I guess something got fixed.

2 Likes